SignaturePolicyIdentifier (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.esf

## Class SignaturePolicyIdentifier

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.esf.SignaturePolicyIdentifier

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class SignaturePolicyIdentifier
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignaturePolicyIdentifier()`
    `SignaturePolicyIdentifier(SignaturePolicyId signaturePolicyId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SignaturePolicyIdentifier` | `getInstance(java.lang.Object obj)`
    `SignaturePolicyId` | `getSignaturePolicyId()`
    `boolean` | `isSignaturePolicyImplied()`
    `ASN1Primitive` | `toASN1Primitive()` SignaturePolicyIdentifier ::= CHOICE{ SignaturePolicyId SignaturePolicyId, SignaturePolicyImplied SignaturePolicyImplied } SignaturePolicyImplied ::= NULL

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignaturePolicyIdentifier

          public SignaturePolicyIdentifier()

    - #### SignaturePolicyIdentifier

          public SignaturePolicyIdentifier(SignaturePolicyId signaturePolicyId)

  - ### Method Detail

    - #### getInstance

          public static SignaturePolicyIdentifier getInstance(java.lang.Object obj)

    - #### getSignaturePolicyId

          public SignaturePolicyId getSignaturePolicyId()

    - #### isSignaturePolicyImplied

          public boolean isSignaturePolicyImplied()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           SignaturePolicyIdentifier ::= CHOICE{
               SignaturePolicyId         SignaturePolicyId,
               SignaturePolicyImplied    SignaturePolicyImplied }

           SignaturePolicyImplied ::= NULL

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.